Name:           python-editables
Version:        0.3
Release:        1
Summary:        Editable installations
License:        MIT
URL:            https://github.com/pfmoore/editables
Source0:        https://files.pythonhosted.org/packages/source/e/editables/editables-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  dos2unix
BuildRequires:  fdupes

%global common_description %{expand:
A Python library for creating “editable wheels”

This library supports the building of wheels which, when installed, will expose
packages in a local directory on sys.path in “editable mode”. In other words,
changes to the package source will be reflected in the package visible to
Python, without needing a reinstall.}

%description %{common_description}

%package -n python3-editables
Summary:        %{summary}

%description -n python3-editables %{common_description}

%prep
%autosetup -n editables-%{version}
dos2unix -c ascii README.md

%build
%py3_build

%install
%py3_install

%files -n python3-editables
%doc README.md
%license LICENSE.txt
%{python3_sitelib}/editables
%{python3_sitelib}/editables-%{version}*-info

%changelog
* Thu Apr 13 2023 caodongxia <caodongxia@h-partners.com> - 0.3-1
- Package init
